# -*- coding: utf-8 -*-
"""
Created on Fri Oct 15 12:36:42 2021
https://stackoverflow.com/questions/36360469/read-nc-netcdf-files-using-python
https://data.ngdc.noaa.gov/platforms/solar-space-observing-satellites/goes/goes16/l2/data/xrsf-l2-avg1m_science/2021/10/
https://data.ngdc.noaa.gov/platforms/solar-space-observing-satellites/goes/goes16/l2/docs/GOES-R_XRS_L2_Data_Readme.pdf

How to read GOES-x-ray data *.nc
@author: Monstein, 2021-10-16
"""

import numpy as np
from matplotlib import pyplot as plt
import netCDF4

filename = 'dn_xrsf-l2-flx1s_g16_d20210520_v2-1-0.nc'

file2read = netCDF4.Dataset(filename,'r')

for ii in file2read.variables:
    print(ii)
    
x1 = file2read.variables['xrsa_flux']
x2 = file2read.variables['xrsb_flux']

y1 = x1[:]
y2 = x2[:]


plt.figure(figsize=(12,8))
plt.plot(y1,'r-',linewidth=1.0,label='0.5-4.0 A')
plt.plot(y2,'b-.',linewidth=1.0,label='1.0-8.0 A')
plt.title('GOES-16 x-ray flux of 2021-05-20',fontsize=15)
plt.xlabel('Observation time in seconds of the day [UT]',fontsize=12)
plt.ylabel('Flux [W/m$^2$]',fontsize=12)
plt.legend(prop={"size":20},facecolor='green', framealpha=1,loc=1)

plt.show()

plt.savefig("goes16.jpg",bbox_inches="tight")